Mail archive
alpine-aports

[alpine-aports] [PATCH v2] testing/seamonkey: new aport

From: Marc Vertes <marc.vertes_at_ugrid.net>
Date: Tue, 8 Mar 2016 23:33:03 +0100

http://seamonkey-project.org
all-in-one internet application suite
---
Changes v1 -> v2:
- Added mozconfig, which was missing from v1
 testing/seamonkey/APKBUILD                  | 108 ++++++++++++++++++++++++++++
 testing/seamonkey/fix-aouth.patch           |  11 +++
 testing/seamonkey/fix-libgen.patch          |  20 ++++++
 testing/seamonkey/fix-linux-syscall.patch   |  11 +++
 testing/seamonkey/fix-platform-gettid.patch |  19 +++++
 testing/seamonkey/fix-platform-linux.patch  |  13 ++++
 testing/seamonkey/fix-siginfo_t.patch       |  11 +++
 testing/seamonkey/fix-stabs.patch           |  19 +++++
 testing/seamonkey/fix-sysctl.patch          |  11 +++
 testing/seamonkey/fix-system-headers.patch  |  28 ++++++++
 testing/seamonkey/mozconfig                 |  53 ++++++++++++++
 11 files changed, 304 insertions(+)
 create mode 100644 testing/seamonkey/APKBUILD
 create mode 100644 testing/seamonkey/fix-aouth.patch
 create mode 100644 testing/seamonkey/fix-libgen.patch
 create mode 100644 testing/seamonkey/fix-linux-syscall.patch
 create mode 100644 testing/seamonkey/fix-platform-gettid.patch
 create mode 100644 testing/seamonkey/fix-platform-linux.patch
 create mode 100644 testing/seamonkey/fix-siginfo_t.patch
 create mode 100644 testing/seamonkey/fix-stabs.patch
 create mode 100644 testing/seamonkey/fix-sysctl.patch
 create mode 100644 testing/seamonkey/fix-system-headers.patch
 create mode 100644 testing/seamonkey/mozconfig
diff --git a/testing/seamonkey/APKBUILD b/testing/seamonkey/APKBUILD
new file mode 100644
index 0000000..4155130
--- /dev/null
+++ b/testing/seamonkey/APKBUILD
_at_@ -0,0 +1,108 @@
+# Contributor: Marc Vertes <mvertes_at_free.fr>
+# Maintainer: Marc Vertes <mvertes_at_free.fr>
+pkgname=seamonkey
+pkgver=2.39
+pkgrel=0
+pkgdesc="all-in-one internet application suite"
+url="http://www.seamonkey-project.org"
+arch="all"
+license="MPL"
+depends=""
+depends_dev="unzip zip gtk+2.0-dev gconf-dev yasm alsa-lib-dev pulseaudio-dev
+libxt-dev hunspell-dev nspr-dev nss-dev jpeg-dev bzip2-dev zlib-dev libpng-dev
+libevent-dev libvpx-dev sqlite-dev libffi-dev pixman-dev
+startup-notification-dev icu-dev cairo-dev"
+makedepends="$depends_dev"
+install=""
+subpackages=""
+source=" https://archive.mozilla.org/pub/mozilla.org/seamonkey/releases/$pkgver/source/seamonkey-$pkgver.source.tar.xz
+mozconfig
+fix-aouth.patch
+fix-libgen.patch
+fix-linux-syscall.patch
+fix-platform-gettid.patch
+fix-platform-linux.patch
+fix-siginfo_t.patch
+fix-stabs.patch
+fix-sysctl.patch
+fix-system-headers.patch
+"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+
+prepare() {
+	cd "$_builddir"
+	local i
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir/$i" || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	cp ../../mozconfig .mozconfig
+	export MOZ_MAKE_FLAGS="$MAKEFLAGS"
+	export LDFLAGS="$LDFLAGS -Wl,-rpath,/usr/lib/seamonkey-$pkgver"
+	unset MAKEFLAGS CPPFLAGS
+	make -f client.mk build
+}
+
+package() {
+	cd "$_builddir"
+	paxmark -msp */dist/bin/xpcshell
+	make -f client.mk DESTDIR="$pkgdir" INSTALL_SDK= install
+	paxmark -msp "$pkgdir/usr/lib/seamonkey-$pkgver/seamonkey"
+	paxmark -msp "$pkgdir/usr/lib/seamonkey-$pkgver/seamonkey-bin"
+	paxmark -msp "$pkgdir/usr/lib/seamonkey-$pkgver/plugin-container"
+
+	rm -rf "$pkgdir/usr/lib/seamonkey-$pkgver/dictionaries"
+	rm -rf "$pkgdir/usr/lib/seamonkey-$pkgver/hypenation"
+	ln -s /usr/share/hunspell "$pkgdir/usr/lib/seamonkey-$pkgver/dictionaries"
+	ln -s /usr/share/hyphen "$pkgdir/usr/lib/seamonkey-$pkgver/hyphenation"
+	install -Dm644 suite/branding/nightly/icons/gtk/seamonkey.png \
+		"$pkgdir/usr/share/pixmaps/seamonkey.png"
+	install -Dm644 mozilla/toolkit/mozapps/installer/linux/rpm/mozilla.desktop \
+		"$pkgdir/usr/share/applications/seamonkey.desktop"
+	sed -i 's/_at_MOZ_APP_DISPLAYNAME@/SeaMonkey internet suite/' \
+		"$pkgdir/usr/share/applications/seamonkey.desktop"
+	sed -i 's/_at_MOZ_APP_NAME@/seamonkey/' \
+		"$pkgdir/usr/share/applications/seamonkey.desktop"
+	rm -f "$pkgdir/usr/lib/pkgconfig/seamonkey-nss.pc"
+	rm -f "$pkgdir/usr/lib/pkgconfig/seamonkey-nspr.pc"
+}
+
+md5sums="eb571346b1ad00d3197d48aa0a906102  seamonkey-2.39.source.tar.xz
+f9b12cb1e65669892faf6e1fe38507c4  mozconfig
+f7be9a1bb5639f3f4fc9e5bd06145fdb  fix-aouth.patch
+f471609b5c1ce472cced8844b441e570  fix-libgen.patch
+b7b7f7ea1b9c5f427e40d17155a1ac7a  fix-linux-syscall.patch
+7f66d103a3efa87b50a1bd03b519f134  fix-platform-gettid.patch
+676d4ca1cbabf6d0695edf5620df0b54  fix-platform-linux.patch
+efa62f03c01f6c1da3dc59663b872e97  fix-siginfo_t.patch
+3a72587709ba0f04c782b6c36c597b92  fix-stabs.patch
+5c96430b83fb008750ba943944b96aed  fix-sysctl.patch
+b23f1511dfc54d84fdc8346c595b7499  fix-system-headers.patch"
+sha256sums="c871de0a64cb60acf785df0ea3859b729353e5d1e3274947840386766859930e  seamonkey-2.39.source.tar.xz
+832d1ab516a6b520dbe3af3dc77edcf19ba8479cb69de01e43f74683deef06af  mozconfig
+b6224ec48fa5250652b4dcbb4c2eae34cd02486f73327774a59652911909f956  fix-aouth.patch
+3c16171ab7205d5be417a739bc3cf6bb4dae154adce5a559c4b060d532ceaa71  fix-libgen.patch
+d779db64ed94de9f8336deea1e3f60a8bb5f7f43165c8aad08fa04fc9b3acbd6  fix-linux-syscall.patch
+d9f192b4603ac9265476f072549f9752bd0785505c4a0cdf1ae0decd739bb22e  fix-platform-gettid.patch
+cabab41e8003f5445b178d59cb0b594e7c9c0009fb842be275adbd749efa5fcb  fix-platform-linux.patch
+f2cc65f42bd672ff1cbf4904def0ce4d99b7776dc2e2d7cc1c8bd2dcee47ed83  fix-siginfo_t.patch
+04475564fa7df52b90afa5bfbf9381f50f1732a4073246f3cf268aa691f7b38c  fix-stabs.patch
+25493bf4d09b845102a7af9d606612c0ff8d053826da4ed6728c8a4875bdd3c6  fix-sysctl.patch
+a489572c350184e9f6cf639756e602bc96df8681c3d5a4ce4629ac5964009692  fix-system-headers.patch"
+sha512sums="1ea912cff4ae305b6fe7237f0873220343134ae4fd0ff54e8472a388ed61dcd249a5961158520bde7838b27a9cee782fa0d4e1c35d22c7fb7a30145dde9f6dc9  seamonkey-2.39.source.tar.xz
+ef615ee5f19cefacfacae5febca25e1406d377fc8222a5ee9cde30885a833b183ea7a6a953edfa6ee55d128cd7ed1c342db59c6f4f8c19094013de44b283cf44  mozconfig
+b4c2bffec161c53087eec8bd0612095b52e514511d0f556387f1c3244a999c255da1a5f775573d86be82718ba09d3eb5aa7390b8aeb8f67c8b1b9f83e6ab16b6  fix-aouth.patch
+f148a9212b9d1bf62ce99e3ea69233fcdd74ffb0948ab53d17ec417539b4f9533409b2e9c487e3789b76cdfca92da074b9ea0f82452f56f72eced9cfbcd078f1  fix-libgen.patch
+ea6af26228eaa98e6d322cb5dd0723028daa054bc6bff0858f0e83b87c2a7818965d30c35710e431200fd20405c287cdb59d67919ad793bbbcd6db934e82b967  fix-linux-syscall.patch
+60345a6b7ddaa0476a25a885914ad769e3ec4f2fe4bed6365dc00a5309c68a784fd585ff0f94d8bc1796245a2bacff998d244a27fd790784869e5eacd2bb9f3b  fix-platform-gettid.patch
+25bb4f99a2d831a8604444a1071ca946c14b9fe416929660ce6f9d196b3cecbd84b8706a8a16f2653db0d722a8f033fac9dc2f295bf5b59e7f39024d89221d01  fix-platform-linux.patch
+285e9330810b0f57ebba3d15cb371543840a7c6b8a2656d6d6b3ad7e8d2ec840b34bcb75b92c3747b5a1b42625fbde3a5d1bbec7052ce47fe5455e5076ec6268  fix-siginfo_t.patch
+4a7fae85299969618d729021ed79ab312650419dd849800c4e93c2b78a063a91f4003e2ee66c74abefa28b881376cf78f52e99e5ae3c08b85ba11eeae73a5034  fix-stabs.patch
+43e800bdb15a11c21f71d0552ae2e92ad97574eb324f7be75cc92ed98332201386f9c9846d3e5f27b4e71452ffac71ab5b82ffdc2091d6c4830b9cb792bbdde4  fix-sysctl.patch
+d65900a74901d0455266342e4efbb655d67c62b52e69f482c33c3da3e24af900a3186f1398b88cccd9e822395480cd4ec4ce0d6053978003911457cacc36f767  fix-system-headers.patch"
diff --git a/testing/seamonkey/fix-aouth.patch b/testing/seamonkey/fix-aouth.patch
new file mode 100644
index 0000000..c7d94e3
--- /dev/null
+++ b/testing/seamonkey/fix-aouth.patch
_at_@ -0,0 +1,11 @@
+--- seamonkey-2.39/mozilla/toolkit/crashreporter/google-breakpad/src/common/stabs_reader.h.orig
++++ seamonkey-2.39/mozilla/toolkit/crashreporter/google-breakpad/src/common/stabs_reader.h
+_at_@ -54,7 +54,7 @@
+ #endif
+ 
+ #ifdef HAVE_A_OUT_H
+-#include <a.out.h>
++#include <linux/a.out.h>
+ #endif
+ #ifdef HAVE_MACH_O_NLIST_H
+ #include <mach-o/nlist.h>
diff --git a/testing/seamonkey/fix-libgen.patch b/testing/seamonkey/fix-libgen.patch
new file mode 100644
index 0000000..d0b03c5
--- /dev/null
+++ b/testing/seamonkey/fix-libgen.patch
_at_@ -0,0 +1,20 @@
+--- seamonkey-2.39/mozilla/tools/profiler/lul/LulElf.cpp.orig
++++ seamonkey-2.39/mozilla/tools/profiler/lul/LulElf.cpp
+_at_@ -47,6 +47,7 @@
+ 
+ #include <errno.h>
+ #include <fcntl.h>
++#include <libgen.h>
+ #include <stdio.h>
+ #include <string.h>
+ #include <sys/mman.h>
+--- seamonkey-2.39/mozilla/toolkit/crashreporter/google-breakpad/src/common/linux/dump_symbols.cc.orig
++++ seamonkey-2.39/mozilla/toolkit/crashreporter/google-breakpad/src/common/linux/dump_symbols.cc
+_at_@ -38,6 +38,7 @@
+ #include <elf.h>
+ #include <errno.h>
+ #include <fcntl.h>
++#include <libgen.h>
+ #include <link.h>
+ #include <stdio.h>
+ #include <stdlib.h>
diff --git a/testing/seamonkey/fix-linux-syscall.patch b/testing/seamonkey/fix-linux-syscall.patch
new file mode 100644
index 0000000..0107bbd
--- /dev/null
+++ b/testing/seamonkey/fix-linux-syscall.patch
_at_@ -0,0 +1,11 @@
+--- seamonkey-2.39/mozilla/toolkit/crashreporter/google-breakpad/src/third_party/lss/linux_syscall_support.h.orig
++++ seamonkey-2.39/mozilla/toolkit/crashreporter/google-breakpad/src/third_party/lss/linux_syscall_support.h
+_at_@ -2814,7 +2814,7 @@
+     LSS_INLINE _syscall6(void*, mmap,              void*, s,
+                          size_t,                   l, int,               p,
+                          int,                      f, int,               d,
+-                         __off64_t,                o)
++                         off64_t,                o)
+ 
+     LSS_INLINE _syscall4(int, newfstatat,         int,   d,
+                          const char *,            p,
diff --git a/testing/seamonkey/fix-platform-gettid.patch b/testing/seamonkey/fix-platform-gettid.patch
new file mode 100644
index 0000000..385a926
--- /dev/null
+++ b/testing/seamonkey/fix-platform-gettid.patch
_at_@ -0,0 +1,19 @@
+--- seamonkey-2.39/mozilla/tools/profiler/core/platform.h.orig
++++ seamonkey-2.39/mozilla/tools/profiler/core/platform.h
+_at_@ -60,14 +60,14 @@
+ 
+ // We need a definition of gettid(), but glibc doesn't provide a
+ // wrapper for it.
+-#if defined(__GLIBC__)
++//#if defined(__GLIBC__)
+ #include <unistd.h>
+ #include <sys/syscall.h>
+ static inline pid_t gettid()
+ {
+   return (pid_t) syscall(SYS_gettid);
+ }
+-#endif
++//#endif
+ 
+ #ifdef XP_WIN
+ #include <windows.h>
diff --git a/testing/seamonkey/fix-platform-linux.patch b/testing/seamonkey/fix-platform-linux.patch
new file mode 100644
index 0000000..f9e3192
--- /dev/null
+++ b/testing/seamonkey/fix-platform-linux.patch
_at_@ -0,0 +1,13 @@
+--- seamonkey-2.39/mozilla/tools/profiler/core/platform-linux.cc.orig
++++ seamonkey-2.39/mozilla/tools/profiler/core/platform-linux.cc
+_at_@ -98,6 +98,10 @@
+ 
+ #define SIGNAL_SAVE_PROFILE SIGUSR2
+ 
++#ifndef gettid
++#define gettid() syscall(SYS_gettid)
++#endif
++
+ using namespace mozilla;
+ 
+ #if defined(USE_LUL_STACKWALK)
diff --git a/testing/seamonkey/fix-siginfo_t.patch b/testing/seamonkey/fix-siginfo_t.patch
new file mode 100644
index 0000000..f0175b4
--- /dev/null
+++ b/testing/seamonkey/fix-siginfo_t.patch
_at_@ -0,0 +1,11 @@
+--- seamonkey-2.39/mozilla/security/sandbox/chromium/sandbox/linux/seccomp-bpf/trap.cc.orig
++++ seamonkey-2.39/mozilla/security/sandbox/chromium/sandbox/linux/seccomp-bpf/trap.cc
+_at_@ -155,7 +155,7 @@
+   // most versions of glibc don't include this information in siginfo_t. So,
+   // we need to explicitly copy it into a arch_sigsys structure.
+   struct arch_sigsys sigsys;
+-  memcpy(&sigsys, &info->_sifields, sizeof(sigsys));
++  memcpy(&sigsys, &info->__si_fields, sizeof(sigsys));
+ 
+ #if defined(__mips__)
+   // When indirect syscall (syscall(__NR_foo, ...)) is made on Mips, the
diff --git a/testing/seamonkey/fix-stabs.patch b/testing/seamonkey/fix-stabs.patch
new file mode 100644
index 0000000..f0b1ae6
--- /dev/null
+++ b/testing/seamonkey/fix-stabs.patch
_at_@ -0,0 +1,19 @@
+--- seamonkey-2.39/mozilla/toolkit/crashreporter/google-breakpad/src/common/stabs_reader.cc.orig
++++ seamonkey-2.39/mozilla/toolkit/crashreporter/google-breakpad/src/common/stabs_reader.cc
+_at_@ -34,7 +34,15 @@
+ #include "common/stabs_reader.h"
+ 
+ #include <assert.h>
+-#include <stab.h>
++//#include <stab.h>
++//#define N_UNDF 0x0
++#define N_FUN 0x24
++#define N_SLINE 0x44
++#define N_SO 0x64
++#define N_LSYM 0x80
++#define N_BINCL 0x82
++#define N_SOL 0x84
++
+ #include <string.h>
+ 
+ #include <string>
diff --git a/testing/seamonkey/fix-sysctl.patch b/testing/seamonkey/fix-sysctl.patch
new file mode 100644
index 0000000..d450950
--- /dev/null
+++ b/testing/seamonkey/fix-sysctl.patch
_at_@ -0,0 +1,11 @@
+--- seamonkey-2.39/mozilla/media/libav/libavutil/cpu.c.orig
++++ seamonkey-2.39/mozilla/media/libav/libavutil/cpu.c
+_at_@ -36,7 +36,7 @@
+ #include <sys/param.h>
+ #endif
+ #include <sys/types.h>
+-#include <sys/sysctl.h>
++#include <linux/sysctl.h>
+ #endif
+ #if HAVE_SYSCONF
+ #include <unistd.h>
diff --git a/testing/seamonkey/fix-system-headers.patch b/testing/seamonkey/fix-system-headers.patch
new file mode 100644
index 0000000..d0ce6d2
--- /dev/null
+++ b/testing/seamonkey/fix-system-headers.patch
_at_@ -0,0 +1,28 @@
+--- seamonkey-2.39/mozilla/config/system-headers.orig
++++ seamonkey-2.39/mozilla/config/system-headers
+_at_@ -172,7 +172,7 @@
+ android_audio/AudioSystem.h
+ #endif
+ ansi_parms.h
+-a.out.h
++linux/a.out.h
+ app/Cursor.h
+ Appearance.h
+ AppFileInfo.h
+_at_@ -419,7 +419,6 @@
+ extras.h
+ fabdef.h
+ fcntl.h
+-features.h
+ fibdef.h
+ File.h
+ filehdr.h
+_at_@ -1062,7 +1061,7 @@
+ sys/stat.h
+ sys/statvfs.h
+ sys/syscall.h
+-sys/sysctl.h
++linux/sysctl.h
+ sys/sysinfo.h
+ sys/sysmp.h
+ sys/syssgi.h
diff --git a/testing/seamonkey/mozconfig b/testing/seamonkey/mozconfig
new file mode 100644
index 0000000..a557aad
--- /dev/null
+++ b/testing/seamonkey/mozconfig
_at_@ -0,0 +1,53 @@
+ac_add_options --enable-application=suite
+
+ac_add_options --prefix=/usr
+ac_add_options --libdir=/usr/lib
+ac_add_options --mandir=/usr/share/man
+ac_add_options --infodir=/usr/share/info
+ac_add_options --localstatedir=/var
+
+# System libraries
+ac_add_options --with-system-nspr
+ac_add_options --with-system-nss
+ac_add_options --with-system-jpeg
+ac_add_options --with-system-zlib
+ac_add_options --with-system-bz2
+ac_add_options --with-system-png
+ac_add_options --with-system-libevent
+ac_add_options --with-system-libvpx
+ac_add_options --with-system-harfbuzz
+ac_add_options --with-system-icu
+
+ac_add_options --enable-system-hunspell
+ac_add_options --enable-system-sqlite
+ac_add_options --enable-system-ffi
+ac_add_options --enable-system-cairo
+ac_add_options --with-pthreads
+ac_add_options --enable-system-pixman
+
+# Features
+ac_add_options --enable-default-toolkit=cairo-gtk2
+ac_add_options --enable-startup-notification
+ac_add_options --enable-safe-browsing
+ac_add_options --enable-gio
+ac_add_options --disable-gstreamer
+ac_add_options --enable-pulseaudio
+
+
+ac_add_options --disable-gnomevfs
+ac_add_options --disable-crashreporter
+ac_add_options --disable-updater
+ac_add_options --disable-tests
+ac_add_options --disable-pedantic
+ac_add_options --disable-necko-wifi
+ac_add_options --disable-mochitest
+ac_add_options --disable-installer
+ac_add_options --disable-javaxpcom
+ac_add_options --disable-icf
+ac_add_options --disable-dbus
+ac_add_options --disable-gnomeui
+ac_add_options --disable-jemalloc
+ac_add_options --disable-debug
+ac_add_options --disable-debug-symbols
+
+export MOZILLA_OFFICIAL=1
-- 
2.7.2
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue Mar 08 2016 - 23:33:03 GMT